roar_vs_blocking(3)

NAME
roar_vs_blocking - Change blocking mode of VS object

SYNOPSIS

#include <roaraudio.h>

int roar_vs_blocking (roar_vs_t * vss, int val, int * error);

DESCRIPTION
Changes blocking mode of VS object or ask for the current mode if val is set to ROAR_VS_ASK.

PARAMETERS

vss The VS object to be altered.

val Specifies the new state. Value must be ROAR_VS_TRUE, ROAR_VS_FALSE, ROAR_VS_TOGGLE or ROAR_VS_ASK. ROAR_VS_TOGGLE should be avoided.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On success these calls return the old (current if ROAR_VS_ASK is used) state of the blocking mode. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roarvs(7), libroar(7), RoarAudio(7).